<?php

namespace App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CashShopAll extends Model
{
    protected $connection = "User";
    protected $table = "Table_CashShopAll";
    protected $fillable = 
            [
             "RecId","LinkItemID", "Sale", "SellType", "Price",
              "Count", "Category", "strItemName", "strItemDesc", "GiftCheck",
              "RubyCost", "CashCost", "Period"
            ];


    public $timestamps = false;

    public static function GetProduct($product_no)
    {
        $product = self::whereIn('RecId', array($product_no))->get(['LinkItemID','Price','Count']);
        if($product){
            return $product;
        }
        return null;
    }
}
